# curl site 
https://curl.se/
#curl all commands 
https://curl.se/docs/tutorial.html

---------------------
#THE MOST IMPORTENT : 
---------------------
# how to install : 
https://curl.se/docs/install.html  --> Building from git  -->  GIT-INFO.md 



# docker build -t curl-ubuntu-operator .
# docker build -t idubi/curl-alpine-operator:latest -f .     /Dockerfile.alpine .
# docker run -d --name curl-execution --privileged -v ./curl:/app  -v ./logs:/logs -v ./artifacts:/artifacts idubi/curl-alpine-operator:latest
#k cp alpine-jenkins-agent-658c874846-rsdv8:/var/jenkins-agent/workspace/curl-clone .


# docker rm -f curl-execution
# docker rmi curl-ubuntu-operator

# docker rm -f curl-execution && docker rmi curl-ubuntu-operator


#docker exec -it curl-execution sh  
#sudo rm -r logs && sudo rm -r artifacts


summery - 
    dockerfile completed 
    - run image -d 
    - creating direcotry with image name 
    - --> logs 
    -> artifacts 

    while docoper ps show process is up - we follow logs process and according gettign the status 
    --> according to status sending logs to logstash 
    if ps show container is down (completed) then if we have a curl fikle in artifact forder rthis 
    is a successfull build and we send last log to logstash and rsync to repo the  
    the final curl with date and release name 

    --> if no file there must had been anerror so according to sttatus we know where it failed 

    after rsync to repo and update last logstash we remove the image 

    folder will be removed after 7 days 

    



git commit -am 'deploy jenksn file 1st time' && git push origin main 


docker run -d --name curl-execution --privileged -v ./curl:/app  -v ./logs:/logs -v ./artifacts:/artifacts idubi/curl-alpine-operator:latest
docker run -d --name curl-execution --privileged -v ./ido/curl:/app  -v ./logs:/logs -v ./artifacts:/artifacts idubi/curl-alpine-operator:latest
watch -n 3 -x 'docker ps | grep curl-execution'


cleanup : 
    rm -rf ./logs/* 
    rm -rf ./artifacts/*
    rm -rf ./curl

    sudo chmod -r 777 curl

    prepare : 
    rsync /home/jenkins-agent/workspace/curl-clone  

